package org.spagic.workflow.api;

/**
 * @author boccalon
 * This object is used in the "restart" method of the ControlAPI to specify
 * which messages has been changed by the user, before using the restart feature.
 *
 */
public class ModifiedMessage {
	
	private String xmlMessage;
	private long idJournal;
	
	public ModifiedMessage(String xmlMessage, long idJournal) {
		super();
		this.xmlMessage = xmlMessage;
		this.idJournal = idJournal;
	}
	
	public String getXmlMessage() {
		return xmlMessage;
	}
	public void setXmlMessage(String xmlMessage) {
		this.xmlMessage = xmlMessage;
	}
	public long getIdJournal() {
		return idJournal;
	}
	public void setIdJournal(long idJournal) {
		this.idJournal = idJournal;
	}

}
