package org.spagic.workflow.command;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.Dom4JDriver;

public class XStreamCommandSerializer implements ICommandSerializer {


	public String asXML(CmdObject cmdObject) {

			XStream xstream = new XStream(new Dom4JDriver());
			xstream.alias("command", CmdObject.class);
			String streamedXMLCommand = xstream.toXML(cmdObject);
			return streamedXMLCommand;
	}

	public ResultObject fromXML(String streamedXMLResponse){
		
			XStream xStreamResObject = new XStream(new Dom4JDriver());
			xStreamResObject.alias("result", ResultObject.class);
			ResultObject resultObject = (ResultObject) xStreamResObject.fromXML(streamedXMLResponse);
			return resultObject;
	
	}

}
