/**

    Copyright 2007, 2009 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
 **/
package org.spagic.workflow.command;

import java.util.List;
import java.util.Map;

import javax.activation.DataHandler;

public class ResultObject {

	private boolean errorsOccured = false;
	private String errorMessage = null;
	private Object result = null;
	private transient List<DataHandler> attachments = null;

	public boolean getErrorsOccured() {
		return errorsOccured;
	}

	public void setErrorsOccured(boolean errorsOccured) {
		this.errorsOccured = errorsOccured;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public Object getResult() {
		return result;
	}

	public void setResult(Object result) {
		this.result = result;
	}

	public void setAttachments(List<DataHandler> attachments) {
		this.attachments = attachments;
	}

	public List<DataHandler> getAttachments() {
		return attachments;
	}

}
