package org.spagic.workflow.logging.log;

import org.jbpm.graph.log.ActionLog;

public class FaultLog extends ActionLog {

	private static final long serialVersionUID = 1L;
	
	private long processId;
	private String processName;
	private String nodeName;
	
	public FaultLog() {}
	
	@Override
	public String toString() {
		StringBuffer buffer = new StringBuffer();
		buffer.append("fault[");
		buffer.append(getAction());
		if (exception != null) {
			buffer.append(", threw '");
			buffer.append(getException());
			buffer.append("'");
		}
		buffer.append("]");
		return buffer.toString();
	}

	public long getProcessId() {
		return processId;
	}

	public void setProcessId(long processId) {
		this.processId = processId;
	}

	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}

	public String getNodeName() {
		return nodeName;
	}

	public void setNodeName(String nodeName) {
		this.nodeName = nodeName;
	}

}
